Page MenuHomePhabricator

1.36.0-wmf.37 deployment blockers
Closed, ResolvedPublicRelease

Details

Backup Train Conductor
hashar
Release Version
1.36.0-wmf.37
Release Date
Mar 29 2021, 12:00 AM
Train Status
NOTE: Deployed to all wikis.

2021 week 13 1.36-wmf.37 Changes wmf/1.36.0-wmf.37

This MediaWiki Train Deployment is scheduled for the week of Monday, March 29th:

Monday March 29thTuesday, March 30thWednesday, March 31stThursday, April 1stFriday
Backports only.Branch wmf.37 and deploy to Group 0 Wikis.Deploy wmf.37 to Group 1 Wikis.Deploy wmf.37 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.37 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.36.0-wmf.36
Next: 1.36.0-wmf.38

Event Timeline

Change 675625 had a related patch set uploaded (by DannyS712; author: trainbranchbot):
[mediawiki/core@wmf/1.36.0-wmf.37] Branch commit for wmf/1.36.0-wmf.37

https://gerrit.wikimedia.org/r/675625

Change 675625 merged by jenkins-bot:
[mediawiki/core@wmf/1.36.0-wmf.37] Branch commit for wmf/1.36.0-wmf.37

https://gerrit.wikimedia.org/r/675625

https://gerrit.wikimedia.org/r/675738 - The Parsoid bunch to vendor missed the branch cut due to the Monday holiday. I've cherry-picked it onto wmf.37 which AFAIK hasn't been deployed anywhere yet. Figured I'd let the train conductors know, though, just in case.

https://gerrit.wikimedia.org/r/675738 - The Parsoid bunch to vendor missed the branch cut due to the Monday holiday. I've cherry-picked it onto wmf.37 which AFAIK hasn't been deployed anywhere yet. Figured I'd let the train conductors know, though, just in case.

Thanks for the heads up! There is a weird period of time after we do the branch cut but before we merge the branch commit (i.e., https://gerrit.wikimedia.org/r/675625 ) where this can get tricky (see T277507: Core subproject commits aren't updated for backports if wmf branch commit has not yet been merged. ) You should make sure that MediaWiki/core wmf/1.36.0-wmf.37 points to the right commit in vendor: https://gerrit.wikimedia.org/r/plugins/gitiles/mediawiki/core/+/refs/heads/wmf/1.36.0-wmf.37/vendor (currently that's 89b69fb9b2f9eff1e6d1f29eb24f8516adbeb71d which looks like the parent of your commit) -- do we need to bump this submodule manually? (I think so?)

Change 675886 had a related patch set uploaded (by 20after4; author: 20after4):

[operations/mediawiki-config@master] testwikis wikis to 1.36.0-wmf.37 refs T278343

https://gerrit.wikimedia.org/r/675886

Change 675886 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.36.0-wmf.37 refs T278343

https://gerrit.wikimedia.org/r/675886

Mentioned in SAL (#wikimedia-operations) [2021-03-30T19:13:39Z] <twentyafterfour@deploy1002> Started scap: testwikis wikis to 1.36.0-wmf.37 refs T278343

Mentioned in SAL (#wikimedia-operations) [2021-03-30T20:02:21Z] <twentyafterfour> when syncing 1.36.0-wmf.37 promote to testwikis, one server failed: server mw1298.eqiad.wmnet and two more appear to be hung because scap is stuck at 2 left 99% without making any progress for a long time now. refs T278343

Mentioned in SAL (#wikimedia-operations) [2021-03-30T20:33:49Z] <twentyafterfour@deploy1002> Finished scap: testwikis wikis to 1.36.0-wmf.37 refs T278343 (duration: 80m 32s)

T278904: [Regression 1.36.0-wmf.36] On enwiki, new edits are being marked as quality instead of "accepted" after manual pending changes review is an issue with .36 that wasn't discovered until now, tagging this week's .37 task since last week's task was already resolved (unless we want to rollback?)

Mentioned in SAL (#wikimedia-operations) [2021-03-31T17:41:42Z] <twentyafterfour> The train is now unblocked, promoting to group0 refs T278343

Change 676111 had a related patch set uploaded (by 20after4; author: 20after4):

[operations/mediawiki-config@master] group0 wikis to 1.36.0-wmf.37 refs T278343

https://gerrit.wikimedia.org/r/676111

Change 676111 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.36.0-wmf.37 refs T278343

https://gerrit.wikimedia.org/r/676111

Mentioned in SAL (#wikimedia-operations) [2021-03-31T17:49:02Z] <twentyafterfour@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.36.0-wmf.37 refs T278343

Change 676115 had a related patch set uploaded (by 20after4; author: 20after4):

[operations/mediawiki-config@master] group0 wikis to 1.36.0-wmf.36 refs T278343

https://gerrit.wikimedia.org/r/676115

Change 676115 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.36.0-wmf.36 refs T278343

https://gerrit.wikimedia.org/r/676115

Mentioned in SAL (#wikimedia-operations) [2021-03-31T17:56:47Z] <twentyafterfour@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.36.0-wmf.36 refs T278343

Mentioned in SAL (#wikimedia-operations) [2021-03-31T19:03:52Z] <twentyafterfour@deploy1002> Synchronized php-1.36.0-wmf.37/includes/Revision/RevisionRecord.php: sync https://gerrit.wikimedia.org/r/c/mediawiki/core/+/675875 to unblock train refs T278376 T278343 (duration: 00m 58s)

Change 676136 had a related patch set uploaded (by 20after4; author: 20after4):

[operations/mediawiki-config@master] group0 wikis to 1.36.0-wmf.37 refs T278343

https://gerrit.wikimedia.org/r/676136

Change 676136 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.36.0-wmf.37 refs T278343

https://gerrit.wikimedia.org/r/676136

Mentioned in SAL (#wikimedia-operations) [2021-03-31T19:13:20Z] <twentyafterfour@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.36.0-wmf.37 refs T278343

Change 676138 had a related patch set uploaded (by 20after4; author: 20after4):

[operations/mediawiki-config@master] group1 wikis to 1.36.0-wmf.37 refs T278343

https://gerrit.wikimedia.org/r/676138

Change 676138 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.36.0-wmf.37 refs T278343

https://gerrit.wikimedia.org/r/676138

Mentioned in SAL (#wikimedia-operations) [2021-03-31T19:20:31Z] <twentyafterfour@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.36.0-wmf.37 refs T278343

Mentioned in SAL (#wikimedia-operations) [2021-03-31T19:21:40Z] <twentyafterfour@deploy1002> Synchronized php: group1 wikis to 1.36.0-wmf.37 refs T278343 (duration: 01m 08s)

No blockers, looks like we should be good to go with today's deployment to group2.

Change 676441 had a related patch set uploaded (by 20after4; author: 20after4):

[operations/mediawiki-config@master] group2 wikis to 1.36.0-wmf.37 refs T278343

https://gerrit.wikimedia.org/r/676441

Change 676441 merged by jenkins-bot:

[operations/mediawiki-config@master] group2 wikis to 1.36.0-wmf.37 refs T278343

https://gerrit.wikimedia.org/r/676441

Mentioned in SAL (#wikimedia-operations) [2021-04-01T19:21:48Z] <twentyafterfour@deploy1002> rebuilt and synchronized wikiversions files: group2 wikis to 1.36.0-wmf.37 refs T278343

Filed T279127: Enwiki autoreview for flagged revs not working - might be caused by code that went out with the train

Change 676557 had a related patch set uploaded (by Hashar; author: Hashar):

[operations/mediawiki-config@master] Rollback group1 and group2 wikis to 1.36.0-wmf.36

https://gerrit.wikimedia.org/r/676557

Change 676557 merged by jenkins-bot:

[operations/mediawiki-config@master] Rollback group1 and group2 wikis to 1.36.0-wmf.36

https://gerrit.wikimedia.org/r/676557

Mentioned in SAL (#wikimedia-operations) [2021-04-02T09:45:56Z] <hashar@deploy1002> rebuilt and synchronized wikiversions files: Revert group1 and group2 wikis to 1.36.0-wmf.36 - T278343

Change 676559 had a related patch set uploaded (by Hashar; author: Hashar):

[operations/mediawiki-config@master] Revert "group0 wikis to 1.36.0-wmf.37"

https://gerrit.wikimedia.org/r/676559

Change 676559 merged by jenkins-bot:

[operations/mediawiki-config@master] Revert "group0 wikis to 1.36.0-wmf.37"

https://gerrit.wikimedia.org/r/676559

Mentioned in SAL (#wikimedia-operations) [2021-04-02T10:07:04Z] <hashar@deploy1002> rebuilt and synchronized wikiversions files: Rollback group0 wikis to 1.36.0-wmf.36 - T278343

I have rolled back group 0 wikis as well since https://www.mediawiki.org/wiki/Special:Export/Main_Page was broken there.

The Special:Export issue has been figured out and confirmed to be fixed on beta. So I have rolled all wikis to 1.36.0-wmf.37 again

[13:42:10] <logmsgbot> !log hashar@deploy1002 rebuilt and synchronized wikiversions files: all wikis to 1.36.0-wmf.37